
package ca.canadapost.cpcdp.pickup.generated.pickuprequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for PickupRequestHeaderType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupRequestHeaderType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="request-id" type="{http://www.canadapost.ca/ws/pickuprequest}RequestIDType"/>
 *         &lt;element name="request-status" type="{http://www.canadapost.ca/ws/pickuprequest}PickupStatusType"/>
 *         &lt;element name="pickup-type" type="{http://www.canadapost.ca/ws/pickuprequest}PickupTypeType"/>
 *         &lt;element name="request-date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="next-pickup-date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupRequestHeaderType", propOrder = {

})
public class PickupRequestHeaderType {

    @XmlElement(name = "request-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String requestId;
    @XmlElement(name = "request-status", required = true)
    protected PickupStatusType requestStatus;
    @XmlElement(name = "pickup-type", required = true)
    protected PickupTypeType pickupType;
    @XmlElement(name = "request-date")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar requestDate;
    @XmlElement(name = "next-pickup-date")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar nextPickupDate;

    /**
     * Gets the value of the requestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * Sets the value of the requestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestId(String value) {
        this.requestId = value;
    }

    /**
     * Gets the value of the requestStatus property.
     * 
     * @return
     *     possible object is
     *     {@link PickupStatusType }
     *     
     */
    public PickupStatusType getRequestStatus() {
        return requestStatus;
    }

    /**
     * Sets the value of the requestStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupStatusType }
     *     
     */
    public void setRequestStatus(PickupStatusType value) {
        this.requestStatus = value;
    }

    /**
     * Gets the value of the pickupType property.
     * 
     * @return
     *     possible object is
     *     {@link PickupTypeType }
     *     
     */
    public PickupTypeType getPickupType() {
        return pickupType;
    }

    /**
     * Sets the value of the pickupType property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupTypeType }
     *     
     */
    public void setPickupType(PickupTypeType value) {
        this.pickupType = value;
    }

    /**
     * Gets the value of the requestDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRequestDate() {
        return requestDate;
    }

    /**
     * Sets the value of the requestDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRequestDate(XMLGregorianCalendar value) {
        this.requestDate = value;
    }

    /**
     * Gets the value of the nextPickupDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getNextPickupDate() {
        return nextPickupDate;
    }

    /**
     * Sets the value of the nextPickupDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setNextPickupDate(XMLGregorianCalendar value) {
        this.nextPickupDate = value;
    }

}
